Bug 1009236 - "control start" with rc=1 on a custom cartridge did not return the proper output to the broker/CLI
"control start" with rc=1 on a custom cartridge did not return the proper out...
Status: CLOSED EOL
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.2.0
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: John W. Lamb
libra bugs
:
Depends On: 1009237
Blocks: 1009234
  Show dependency treegraph
 
Reported: 2013-09-17 23:41 EDT by Jan Pazdziora
Modified: 2017-01-13 17:35 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1009234
Environment:
Last Closed: 2017-01-13 17:35:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2013-09-17 23:41:33 EDT
+++ This bug was initially created as a clone of Bug #1009234 +++

Description of problem:

I try to deploy

https://cartreflect-claytondev.rhcloud.com/reflect?github=aerogear/openshift-origin-cartridge-aerogear-push

on my OpenShift Enterprise 1.2 all-on-one installation. The rhc app create command fails.

Version-Release number of selected component (if applicable):

# rpm -qa 'openshift*' | sort
openshift-origin-broker-1.5.8-1.el6op.noarch
openshift-origin-broker-util-1.9.10-1.el6op.noarch
openshift-origin-cartridge-cron-1.7.6-1.1.el6op.noarch
openshift-origin-cartridge-diy-0.4.8-1.1.el6op.noarch
openshift-origin-cartridge-haproxy-0.4.11-1.el6op.noarch
openshift-origin-cartridge-jbosseap-2.3.11.1-1.el6op.noarch
openshift-origin-cartridge-jbossews-0.4.9-1.el6op.noarch
openshift-origin-cartridge-jenkins-1.9.8-1.el6op.noarch
openshift-origin-cartridge-jenkins-client-1.8.6-1.1.el6op.noarch
openshift-origin-cartridge-mysql-0.3.7-1.el6op.noarch
openshift-origin-cartridge-perl-0.4.8.2-1.el6op.noarch
openshift-origin-cartridge-php-0.4.9.2-1.el6op.noarch
openshift-origin-cartridge-postgresql-0.2.7-1.1.el6op.noarch
openshift-origin-cartridge-python-0.4.8.1-1.el6op.noarch
openshift-origin-cartridge-ruby-0.4.10.3-1.el6op.noarch
openshift-origin-console-1.5.24-1.el6op.noarch
openshift-origin-msg-common-1.7.2-1.1.el6op.noarch
openshift-origin-msg-node-mcollective-1.9.3-1.1.el6op.noarch
openshift-origin-node-proxy-0.9.2-1.1.el6op.noarch
openshift-origin-node-util-1.9.9.2-1.el6op.noarch
openshift-origin-port-proxy-1.6.4-1.el6op.noarch
openshift-origin-util-scl-1.4.1-1.1.el6op.noarch

How reproducible:

Deterministic.

Steps to Reproduce:
1. Have OpenShift Enterprise 1.2 installed.
2. Run rhc app create aerog https://cartreflect-claytondev.rhcloud.com/reflect?github=aerogear/openshift-origin-cartridge-aerogear-push mysql-5.1

Actual results:

The cartridge 'https://cartreflect-claytondev.rhcloud.com/reflect?github=aerogear/openshift-origin-cartridge-aerogear-push' will be
downloaded and installed

Application Options
-------------------
  Namespace:  test
  Cartridges: https://cartreflect-claytondev.rhcloud.com/reflect?github=aerogear/openshift-origin-cartridge-aerogear-push, mysql-5.1
  Gear Size:  default
  Scaling:    no

Creating application 'aerog' ... 
Unable to complete the requested operation due to: Node execution failure (invalid exit code from node).  If the problem persists please
contact Red Hat support..
Reference ID: 286b75120e090c2681f8c41cd1c53531

Expected results:

No error, cartridge deployed.

Additional info:

--- Additional comment from Jan Pazdziora on 2013-09-18 05:40:24 CEST ---

Clayton looked at the machine and found

September 17 10:12:45 DEBUG Shell command 'cgset -r cpu.cfs_quota_us=100000 /openshift/5238632e6892dffbd
60000d6' ran. rc=0 out=
September 17 10:12:45 DEBUG 5238632e6892dffbd60000d6 start against 'aerogear-push'
September 17 10:14:24 DEBUG Shell command '/sbin/runuser -m -s /bin/sh 5238632e6892dffbd60000d6 -c "exec
 /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c2,c212' /bin/sh -c \"set -e; /var/lib/openshift/5238632e6892dffbd60000d6/aerogear-push/bin/control start\""' ran. rc=1 ou
t=Starting aerogear-push cart
Timed out waiting for http listening port

in the platform.log as the culprit.

He says: I don't know whether this is a timeout issue caused by cgroups (not enough CPU, start didn't complete in the requisite time allowed by the platform), or another error in.
Comment 1 Jan Pazdziora 2013-09-17 23:42:55 EDT
Aside from the fact that the cartridge cannot be deployed, Clayton says that the fact that "control start" with rc=1 on a custom cartridge did not return the proper output to the broker/CLI, so the issue couldn't be debugged, deserves a separate bugzilla so that it can be tracked independently.
Comment 3 Rory Thrasher 2017-01-13 17:35:11 EST
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/

Note You need to log in before you can comment on or make changes to this bug.